@font-face {
  font-family: 'RobotoFlex';
  src: url('fonts/RobotoFlex-VariableFont_GRAD\,XOPQ\,XTRA\,YOPQ\,YTAS\,YTDE\,YTFI\,YTLC\,YTUC\,opsz\,slnt\,wdth\,wght.ttf') format('truetype');  
  font-display: swap;
}

* {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}

body {
	font-family: 'RobotoFlex', sans-serif; 
	font-size: 18px; 
	font-weight: 400; 
	font-width: normal;	
	width: 100%;
	height: 100vh;
	background: linear-gradient(to left, #134e5e 0%, #241957 100%);
	background-size: cover;
	background-repeat: repeat-y;
	color: white;
	font-size: 20px;
}

:root {
	--white: #ffffff;
	--white-translucent: rgb(255 255 255 / .2);
	--blue: hsl(from #134e5e h s calc(l + 10));
	--radius: .1rem;
}

h1 {
	font-family: 'RobotoFlex'; 
	font-size: 92px; 
	font-variation-settings: "wdth" 50, "wght" 500; line-height: .9;
	margin-block: 1rem;
}
h2 {
	font-family: 'RobotoFlex'; 
	font-size: 42px; 
	font-variation-settings: "wdth" 50, "wght" 500; color: var(--black_90);
	padding-block: .5rem;
	margin-left: 1rem;
}
p {
	font-family: 'RobotoFlex'; 
	font-size: 20px; 
	font-variation-settings: "wdth" 100, "wght" 200;
	padding-block: 1rem;
}

img {max-width: 100%; height: auto; border-radius: var(--radius);}

a {border: none;}

.wrapper {
	width: 90vw;
	margin-inline: 5vw;
}

.content-wrapper {
	box-sizing: border-box;
	margin-block: 3rem;
	display: grid;
	gap: 2rem;
	grid-template-columns: repeat(auto-fit, minmax(min(400px, 100%), 1fr));	
}

.intro {
	/* background: linear-gradient(to left, var(--white-translucent), hsl(from #fff h s l / .6));
	border: 1px solid hsl(from var(--white) h s l / .4);		
	border-radius: var(--radius); */
	padding-inline: 1rem;
	align-content: center;
	align-self: start;
}

.intro p {
	font-size: 120%;
	padding-block: 2rem;	
	
}



.version {	
	border: 1px solid hsl(from var(--white) h s l / .4);		
	border-radius: var(--radius);
	background-color: var(--white-translucent);
	margin: 1rem 1rem 2rem 1rem;
	padding: .5rem;
	position: relative;
}

.version:not(:last-of-type)::after {
	content: "";
	display: block;
	background: url(img/icon_down.svg);
	background-repeat: no-repeat;
	position: absolute;
	bottom: -2rem;
	right: 45%;
	width: 24px;
	aspect-ratio: 1;
}



.version.collapsed {	
	height: 2rem;
	overflow: hidden;
	position: relative;
	padding: 0;
	filter: opacity(50%);
	
}
.version.collapsed .version-number {
	position: absolute;
	top: -.5rem;
	left: .5rem;
	font-size: .9rem;

}

.option .version:is(:first-of-type, :last-of-type) :is(.btn-u, .btn-d) {
    display: none;
}

.btn-d, .btn-u {
	display: block;	
	width: 100%;
	height: 2rem;
	text-align: right;
	background-color: var(--white-translucent);
	border-radius: var(--radius);
	border: 1px solid var(--white-translucent);
	color: white;
	font-size: .9rem;
	padding: .2rem;	
	cursor: pointer;
}
 
.version.collapsed .btn-u {
	display: none;
}

.version.expanded .btn-d {
	display: none;
}

.version.expanded .btn-u {
	position: absolute;
	bottom: 0;
	right: 0;
	background-color: hsl(from #1B355B h s l / .95);
	border-top: 1px solid #F47528;
}

details {
	font-size: .99rem;	
	background: var(--white-translucent);
	padding: .2rem .5rem;
	position: relative;
	margin-bottom: .5rem;
}

details:after {
	content: "";
	display: block;
	background: url(img/icon_down.svg);
	position: absolute;
	bottom: -2rem;
	right: 45%;
	width: 24px;
	aspect-ratio: 1;
}

details ol {
	padding: 1rem 0 1rem 2.5rem;
}
details ul {
	padding: .5rem 0 .5rem 1.5rem;
}

details li {
	font-weight: 200;
}

.inner-container {
	background-color: var(--white-translucent);
	margin-block: 1rem;	
}
.inner {
	background-color: var(--white-translucent);
	display: flex;
	flex-direction: row;
	gap: 1rem;
	justify-content: space-between;
}

.inner-item {
	background-color: var(--white-translucent);
	border: 1px solid hsl(from var(--white) h s l / .4)
}



/*
.version {
	padding-block: .5rem;
}

.version:not(:first-of-type):not(:last-of-type) {
	filter: grayscale(90%)
}

.version-number {	
	--color: #1a667b;
	background-color: hsl(from var(--color) h s calc(l + 20) / .5);	
	margin: 0 0 3px 0;
	padding: 5px;
	text-wrap: nowrap;
	font-weight: 400;
	color: white;			
	border-bottom: 2px solid transparent;
	width: fit-content;
}

summary {
	font-size: 110%;
	line-height: 2;
}

details {
	background-color: hsl(from #1a667b h s calc(l + 10) / .3);
	margin: 2rem 0;
	padding: 0 1rem;
	position: relative;	
}
details ol {
	margin-left: 2.5rem;
	line-height: 1.5;
	font-weight: 300;	
}
details ul {
	margin-left: 2.5rem;
	list-style-type: disc;
	font-size: 90%;
}

details::before {
	content: "";
	display: block;
	background: url(img/icon_down.svg);
	position: absolute;
	top: -2rem;
	right: 50%;
	width: 24px;
	aspect-ratio: 1;	
}
details::after {
	content: "";
	display: block;
	background: url(img/icon_down.svg);
	position: absolute;
	bottom: -2rem;
	right: 50%;
	width: 24px;
	aspect-ratio: 1;	
} */